## jython 2.1.0

=== Makefile ===
# Copyright  Corporation for National Research Initiatives
#
# Makefile for building JPython.  See the instructions in
# rules/make.rules for details.

include Misc/make.rules

.PHONY: installer

SUBDIRS= \
	org/apache/oro/text/regex \
	org/python/parser \
	org/python/compiler \
	org/python/core \
	org/python/modules \
	org/python/util \
	org/python/rmi \
	Lib/jxxload_help

CLEANDIRS = $(SUBDIRS) \
	Lib \
	Lib/pawt \
	Lib/test \
	Lib/test/bugs \
	Lib/test/bugs/pr133 \
	Lib/test/javatests \
	Tools/jythonc \
	Tools/freeze \
	Demo/applet \
	Demo/awt \
	Demo/bean \
	Demo/embed \
	Demo/javaclasses \
	Demo/swing

all: subdirs

subdirs:
	@for d in $(SUBDIRS); \
	do \
		(cd $$d; $(MAKE)); \
	done

clean::
	@for d in $(CLEANDIRS); \
	do \
	    (cd $$d; $(MAKE) clean); \
	done

realclean::
	@for d in $(CLEANDIRS); \
	do \
	    (cd $$d; $(MAKE) realclean); \
	done
	-(cd installer; $(MAKE) realclean)

=== Doc/Makefile ===
include /projects/python/python.org/ftp/pub/www.python.org/scripts/make.rules
ROOT_OFFSET = jpython/new/docs
HTROOT = ..
HTSTYLE = JPyLocalGenerator

$(TARGETS): links.h

=== Tools/jythonc/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../Misc/make.rules

=== Demo/javaclasses/pygraph/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../../rules/make.rules
CLASSPATH = ../../..

=== Tools/jythonc/jast/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../../rules/make.rules

=== org/python/compiler/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../../Misc/make.rules
CLASSPATH = ../../..

=== org/python/modules/Makefile ===
# Copyright  Corporation for National Research Initiatives

include ../../../Misc/make.rules
CLASSPATH = ../../..

MD5Module.java: md.class

md.class: md.java

=== org/python/parser/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../../Misc/make.rules
CLASSPATH = ../../..

JJTREE = /usr/local/javacc2.0/bin/jjtree
JAVACC = /usr/local/javacc2.0/bin/javacc

# files generated by javacc or jjtree
GENSOURCES= PythonGrammar.java Node.java Token.java ASCII_CharStream.java \
	PythonGrammarConstants.java \
	PythonGrammarTokenManager.java PythonGrammarTreeConstants.java \
	JJTPythonGrammarState.java

# Generated files which we've modified.
HACKEDSOURCES= TokenMgrError.java ParseException.java

SOURCES= $(wildcard *.java) $(GENSOURCES) $(HACKEDSOURCES)

CLASSES= $(SOURCES:%.java=%.class)

GENFILES= python.jj $(GENSOURCES)

all: PythonGrammar.java

PythonGrammar.java: python.jj
	$(JAVACC) python.jj

python.jj: python.jjt
	$(JJTREE) python.jjt

realclean:: clean
	-rm $(GENFILES)

=== org/apache/oro/text/regex/Makefile ===
# Copyright 2000  BeOpen.com
include ../../../../../Misc/make.rules
CLASSPATH = ../../../../..

# Avoids a Jikes bug when -g is supplied
Perl5Matcher.class: OPT=

## jython 2.5.3

=== debian/changelog ===
jython (2.5.3-16+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2016-4000: (Closes: #864859)
    Unsafe deserialization may lead to arbitrary code execution.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Jun 2017 20:15:51 +0200

jython (2.5.3-16) unstable; urgency=medium

  * Improve 03-default-cachedir.patch to consider cachedir relative to
    $HOME when it isn't an absolute path (closes: #857921, #857922)
  * Set default cachedir in global registry as '.jython-cache' instead
    of 'cachedir'

 -- Gilles Filippini <pini@debian.org>  Mon, 20 Mar 2017 21:18:22 +0100

jython (2.5.3-15) unstable; urgency=medium

  * Set 'Class-Path' into jython.jar's manifest (closes: #855689)

 -- Gilles Filippini <pini@debian.org>  Wed, 22 Feb 2017 11:52:18 +0100

jython (2.5.3-14) unstable; urgency=medium

  * debian/jython_perl: fix use of abs_path

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Dec 2016 17:02:02 +0100

jython (2.5.3-13) unstable; urgency=medium

  * Fix permission for /usr/share/jython/bin/jython

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Dec 2016 16:23:21 +0100

jython (2.5.3-12) unstable; urgency=medium

  * Team upload
  * Fix jython.home setting (closes: 845270):
    - Install jython laucher into /usr/share/jython/bin
    - Make /usr/bin/jython a symlink to /usr/share/jython/bin/jython
    - In the jython launcher, define jython.home with
      dirname(dirname(abs_path($0)))
  * New patch 03-default-cachedir.patch: the Debian default cachedir
    path is now set at the library intialization step, so that it works
    for every use case (closes: #845360)
  * Move python from Build-Depends-Indep to Build-Depends to allow building
    source only package (python provides the debhelper sequence file for
    dh_python2)

 -- Gilles Filippini <pini@debian.org>  Sun, 27 Nov 2016 21:48:24 +0100

jython (2.5.3-11) unstable; urgency=medium

  * Team upload.
  * Restored the Export-Package field in the OSGi metadata (Closes: #808485)
  * Switch to debhelper level 10
  * Added the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Nov 2016 14:36:32 +0100

jython (2.5.3-10) unstable; urgency=medium

  * Team upload.
  * Install the Maven artifacts
  * Build with the DH sequencer
  * Removed the suggested dependency on the Servlet API
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Jun 2016 09:22:31 +0200

jython (2.5.3-9) unstable; urgency=medium

  * Team upload.
  * Fixed the build classpath to really use the Servlet API 3.1
    (Closes: #801027)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Dec 2015 15:13:15 +0100

jython (2.5.3-8) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Vcs-Browser: Switch to cgit and https.
  * Fix Lintian warning binary-control-field-duplicates-source.
  * Switch to libservlet3.1-java. (Closes: #801027)
  * Drop unused jython-doc.override and jython.override files.
  * Build depend on dh-python and add substvar ${python:Depends} to jython
    package. Run dh_python2 in binary-indep target and fix Lintian error
    python-script-but-no-python-dep.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Nov 2015 22:56:31 +0100

jython (2.5.3-7) unstable; urgency=medium

  * Team upload.
  * Depend on ANTLR 3.2 to avoid the incompatibilities with ANTLR 3.5
    (Closes: #796437, #796933)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Oct 2015 22:09:30 +0100

jython (2.5.3-6) unstable; urgency=medium

  * Team upload.
  * Add binary dependency on libjnr-constants-java and
    libjnr-posix-java (>= 3.0.10~). (Closes: #786651)

 -- tony mancill <tmancill@debian.org>  Thu, 14 May 2015 21:32:38 -0700

jython (2.5.3-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 07 May 2015 22:08:00 -0700

jython (2.5.3-4) experimental; urgency=low

  * Team upload.
  * Updated debian/control and added patch to build against updated
    jnr-constants and jnr-posix packages.
  * Standards-Version updated to 3.9.6
  * Use DH 9.
  * Upload to experimental due to build-deps in experimental.

 -- tony mancill <tmancill@debian.org>  Wed, 08 Apr 2015 22:49:51 +0000

jython (2.5.3-3) unstable; urgency=medium

  * Make junit.framework OSGi package import optional since it's needed
    only to run tests.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 07 Oct 2014 17:14:40 +0200

jython (2.5.3-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Use canonical URLs for the Vcs-* fields

  [ Jakub Adam ]
  * Generate OSGi metadata for jython.jar.
  * Add Jakub Adam to Uploaders.

  [ Miguel Landaeta ]
  * Moved the package to Git.
  * Fix clean target in d/rules to allow twice in a row builds.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 31 Jul 2014 22:06:36 +0200

jython (2.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #690116)
  * Adopt the package under the pkg-java umbrella
    (Closes: #705825)
  * Standards-Version updated to 3.9.5
  * Import in the pkg-java VCS
  * Switch to dpkg-source 3.0 (quilt) format
  * jython should work unde virtualenv (Closes: #705146)
    Thanks to Arthur Noel for the patch
  * Update of the description (Closes: #676831)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 14:25:27 +0100

jython (2.5.2-2) unstable; urgency=low

  * Orphaning this package.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 20 Apr 2013 16:43:20 +0200

jython (2.5.2-1) unstable; urgency=low

  * New upstream release 2.5.2 (closes: #623625)
  * Bumped version of Debian policy compliance to 3.9.3 (nothing to do)
  * Added some lintian overrides to ignore some very special cases.
  * Tests are no longer installed (saving about 1/3 of the package size).
  * Fixed dependency declarations.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 06 May 2012 10:26:34 +0200

jython (2.5.1-2) unstable; urgency=low



=== debian/control ===
Source: jython
Section: python
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, python
Build-Depends-Indep: default-jdk,
 dh-python,
 junit,
 antlr3.2,
 bnd (>= 2.1.0),
 libasm3-java,
 libguava-java,
 libjffi-java (>= 1.2.7~),
 libjline-java,
 libjnr-constants-java (>= 0.8.6~),
 libjnr-ffi-java (>= 1.0.10~),
 libjnr-netdb-java,
 libjnr-posix-java (>= 3.0.10~),
 libjnr-x86asm-java,
 liblivetribe-jsr223-java,
 libreadline-java,
 libmysql-java,
 libpostgresql-jdbc-java,
 libservlet3.1-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/jython.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jython.git
Homepage: http://www.jython.org

Package: jython
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends},
 default-jre-headless | java5-runtime-headless,
 libasm3-java,
 antlr3.2,
 libjnr-constants-java,
 libjnr-posix-java (>= 3.0.10~),
# the following two lines are required as a workaround for bug #633958
 libjffi-java,
 libjnr-x86asm-java,
# end of workaround
 liblivetribe-jsr223-java,
 libguava-java,
 libjnr-netdb-java,
 libreadline-java (>= 0.8),
 libjline-java
Recommends: default-jdk | java-compiler
Suggests: jython-doc, libmysql-java, libpostgresql-jdbc-java
Description: Python seamlessly integrated with Java
 Jython is an implementation of the high-level, dynamic, object-oriented
 language Python seamlessly integrated with the Java platform.  The
 predecessor to Jython, JPython, is certified as 100% Pure Java.
 .
 Jython is complementary to Java and allows the two languages to be freely
 mixed.  It is especially suited for embedded scripting, interactive
 experimentation and rapid application development, and it can
 interact with Java packages or with running Java applications.

Package: jython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Suggests: jython
Description: Jython documentation including API docs
 Official documentation for Jython, an implementation of Python
 seamlessly integrated with Java.  This includes detailed Jython usage
 information as well as the API documentation for the Jython classes.
 .
 This package only contains documentation specific to Jython; for general
 Python documentation including a Python language reference and tutorial,
 see Python web site : http://docs.python.org/.

=== debian/rules ===
#!/usr/bin/make -f

RTCLASSPATH := $(shell grep '^\s*appendJar' debian/jython_perl | sed "s/^.*('//;s/').*$$//" | tr '\n' ' ')

%:
	dh $@ --with python2 --with maven-repo-helper

override_dh_auto_configure:
	dh_auto_configure

	# create links to external libs expected by ANT build.xml
	mkdir -p extlibs/
	ln -s /usr/share/java/junit.jar                extlibs/junit-3.8.2.jar
	ln -s /usr/share/java/libreadline-java.jar     extlibs/libreadline-java-0.8.jar
	ln -s /usr/share/java/jline.jar                extlibs/jline-0.9.95-SNAPSHOT.jar
	ln -s /usr/share/java/servlet-api-3.1.jar      extlibs/servlet-api-2.5.jar
	ln -s /usr/share/java/mysql-connector-java.jar extlibs/mysql-connector-java-5.1.6.jar
	ln -s /usr/share/java/postgresql-jdbc4.jar     extlibs/postgresql-8.3-603.jdbc4.jar
	ln -s /usr/share/java/antlr.jar                extlibs/antlr-2.7.7.jar
	ln -s /usr/share/java/antlr3-3.2.jar           extlibs/antlr-3.1.3.jar
	ln -s /usr/share/java/antlr3-runtime-3.2.jar   extlibs/antlr-runtime-3.1.3.jar
	ln -s /usr/share/java/stringtemplate.jar       extlibs/stringtemplate-3.2.jar
	ln -s /usr/share/java/livetribe-jsr223.jar     extlibs/livetribe-jsr223-2.0.5.jar
	ln -s /usr/share/java/asm3.jar                 extlibs/asm-3.1.jar
	ln -s /usr/share/java/asm3-commons.jar         extlibs/asm-commons-3.1.jar
	ln -s /usr/share/java/jnr-constants.jar        extlibs/constantine.jar
	ln -s /usr/share/java/guava.jar                extlibs/guava-r07.jar
	ln -s /usr/share/java/jaffl.jar                extlibs/jaffl.jar
	ln -s /usr/share/java/jffi.jar                 extlibs/jffi.jar
	ln -s /usr/share/java/jnr-posix.jar            extlibs/jnr-posix.jar
	ln -s /usr/share/java/jnr-netdb.jar            extlibs/jnr-netdb-0.4.jar
	ln -s /usr/share/java/jnr-ffi.jar              extlibs/jnr-ffi.jar

override_dh_auto_build:
	# Build the class files.
	ant -nouserlib developer-build jar javadoc -DRuntimeClasspath="$(RTCLASSPATH)"
	# -nouserlib is required to prevent conflicts with the ant jython plugin

	# Generate OSGi metadata for jython.jar
	bnd wrap --properties debian/jython.bnd --output dist/jython-dev.jar.tmp dist/jython-dev.jar
	mv dist/jython-dev.jar.tmp dist/jython-dev.jar

	# Do not install the tests
	rm -rf dist/Lib/test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf extlibs

override_dh_python2:
	# Make all modules with a shebang line executable
	for library in `find debian/jython/usr/share/jython/Lib -name "*.py"` ; do \
	  if head -1 $$library | grep --quiet "^#\!" ; then \
	    chmod +x $$library; \
	  fi; \
	done

	dh_python2
	rm debian/jython.postinst.debhelper
	rm debian/jython.prerm.debhelper

override_dh_installchangelogs:
	dh_installchangelogs -- NEWS

=== debian/watch ===
version=3
https://github.com/jython/jython3/tags .*/v([\d\.]+).tar.gz

## jython 2.7.1+repack

=== debian/changelog ===
jython (2.7.1+repack-3) unstable; urgency=medium

  * Improve dependencies tracking using upstream defined classpaths and
    javahelper (closes: #877405)
  * Replace overkilling launcher perl script with a much simpler shell
    one
  * Fix version in maven pom.xml file

 -- Gilles Filippini <pini@debian.org>  Sun, 22 Oct 2017 15:43:00 +0200

jython (2.7.1+repack-2) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Sat, 30 Sep 2017 15:31:09 +0200

jython (2.7.1+repack-1) experimental; urgency=medium

  * New upstream release (closes: #827280, #800856, #777079)
  * Fix debian/watch to repack without extlibs
  * Update debian/copyright
  * Drop patches:
    - 02-jnr_refactoring.patch (fixed upstream)
    - CVE-2016-4000.patch (fixed upstream)
  * New patch 05-no-com.carrotsearch.sizeof.patch dropping the new 
    jython modified version of getsizeof because of missing package
    java-sizeof in Debian
  * Update patches:
    - 01-build.patch
    - 03-default-cachedir.patch
    - 04-runtime-classpath.patch
  * Fix dependencies and run-time classpath

 -- Gilles Filippini <pini@debian.org>  Wed, 13 Sep 2017 21:56:24 +0200

jython (2.5.3-17) unstable; urgency=medium

  * Team upload.
  * Fix CVE-2016-4000: (Closes: #864859)
    Unsafe deserialization may lead to arbitrary code execution.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Jun 2017 21:51:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, python
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python
 Build-Depends-Indep: default-jdk,
  dh-python,
- junit,
+ junit4,
  antlr3.2,
  bnd (>= 2.1.0),
- libasm3-java,
+ libasm-java,
  libguava-java,
  libjffi-java (>= 1.2.7~),
- libjline-java,
+ libjline2-java,
  libjnr-constants-java (>= 0.8.6~),
  libjnr-ffi-java (>= 1.0.10~),
  libjnr-netdb-java,
  libjnr-posix-java (>= 3.0.10~),
  libjnr-x86asm-java,
  liblivetribe-jsr223-java,
- libreadline-java,
  libmysql-java,
  libpostgresql-jdbc-java,
- libservlet3.1-java
+ libservlet3.1-java,
+ libcommons-compress-java,
+ libicu4j-java,
+ libnetty-java
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jython.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jython.git
@@ -30,21 +32,8 @@
 
 Package: jython
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${java:Depends},
  default-jre-headless | java5-runtime-headless,
- libasm3-java,
- antlr3.2,
- libjnr-constants-java,
- libjnr-posix-java (>= 3.0.10~),
-# the following two lines are required as a workaround for bug #633958
- libjffi-java,
- libjnr-x86asm-java,
-# end of workaround
- liblivetribe-jsr223-java,
- libguava-java,
- libjnr-netdb-java,
- libreadline-java (>= 0.8),
- libjline-java
 Recommends: default-jdk | java-compiler
 Suggests: jython-doc, libmysql-java, libpostgresql-jdbc-java
 Description: Python seamlessly integrated with Java

=== debian/rules ===
#!/usr/bin/make -f

# Upstream ant project file build.xml hardcodes classpaths unsatisfiable
# under Debian. Then I patch build.xml to extract, re-arrange and re-inject
# them.
# Also I add the run-time classpath into the jar's manifest so that jh_depends
# could work effectively and it doesn't need to be hardcoded into the launcher
# script.

# Extract upstream main.classpath
THEIR_MAIN_CLASSPATH := $(shell \
  ant -nouserlib -quiet get-their-main-classpath | \
  head -1 | \
  sed 's/^ *\[echo\] *//' \
)

# Extract upstream test.classpath
THEIR_TEST_CLASSPATH := $(shell \
  ant -nouserlib -quiet get-their-test-classpath | \
  head -1 | \
  sed 's/^ *\[echo\] *//' \
)

# Macro to re-arrange classpath to match Debian's
their_to_our = $(shell \
  echo '$(1)' | \
  sed 's/:/\n/g' | \
  sed '\&^$(CURDIR)/\(extlibs\|build\)&!d' | \
  sed 's:$(CURDIR)/extlibs:/usr/share/java:' | \
  sed -r 's/jline-.*\.jar/jline2.jar/' | \
  sed -r 's/junit-.*\.jar/junit4.jar/' | \
  sed -r 's/(netty-.*)-.*\.jar/\1.jar/' | \
  sed -r 's/(servlet-api)-.*\.jar/\1-3.1.jar/' | \
  sed -r 's/(mysql-connector-java)-.*\.jar/\1.jar/' | \
  sed -r 's/(postgresql)-.*\.jar/\1.jar/' | \
  sed -r 's/(guava)-.*.jar/\1.jar/' | \
  sed -r '/netty|servlet-api/!s/(java\/.*)-[0-9\._]*\.jar/\1.jar/' | \
  sed -r 's/antlr(-.*)?\.jar/antlr3\1-3.2.jar/' | \
  sed -r '/java-sizeof/d' | \
  xargs echo | \
  sed 's/ /:/g' \
)
 
# Fix main.classpath and test.classpath
OUR_MAIN_CLASSPATH := $(call their_to_our,$(THEIR_MAIN_CLASSPATH))
OUR_TEST_CLASSPATH := $(call their_to_our,$(THEIR_TEST_CLASSPATH))

# Runtime classpath uses space as separator instead of ':'
OUR_RUNTIME_CLASSPATH := $(shell echo '$(OUR_MAIN_CLASSPATH)' | sed 's/:/ /g')

# Print and check classpaths to help finding missing dependencies
print_classpath = ls -1 $(foreach path,$(shell echo '$(1)' | sed 's/:/\n/g' | grep -v '$(CURDIR)/build/'),'$(path)')
check_classpath:
	@echo THEIR_MAIN
	@$(call print_classpath,$(THEIR_MAIN_CLASSPATH)) || true
	@echo OUR_MAIN
	@$(call print_classpath,$(OUR_MAIN_CLASSPATH))
	@echo THEIR_TEST
	@$(call print_classpath,$(THEIR_TEST_CLASSPATH)) || true
	@echo OUR_TEST
	@$(call print_classpath,$(OUR_TEST_CLASSPATH))


%:
	dh $@ --with python2 --with javahelper --with jh-maven-repo-helper

override_dh_auto_configure: check_classpath
	dh_auto_configure

override_dh_auto_build:
	# Build the class files.
	# -nouserlib is required to prevent conflicts with the ant jython plugin
	ant -nouserlib developer-build jar javadoc \
	  -Dmain.classpath=$(OUR_MAIN_CLASSPATH) \
	  -Dtest.classpath=$(OUR_TEST_CLASSPATH) \
	  -Druntime.classpath="$(OUR_RUNTIME_CLASSPATH)"

	# Generate OSGi metadata for jython.jar
	bnd wrap --properties debian/jython.bnd --output dist/jython.jar dist/jython-dev.jar

	# Do not install the tests
	rm -rf dist/Lib/test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf extlibs

override_jh_installlibs:
	jh_installlibs --version-strip="+.*"

# libmysql-java and libpostgresql-jdbc-java are part of Suggests
override_jh_depends:
	jh_depends -Xlibmysql-java -Xlibpostgresql-jdbc-java

override_dh_python2:
	# Make all modules with a shebang line executable
	for library in `find debian/jython/usr/share/jython/Lib -name "*.py"` ; do \
	  if head -1 $$library | grep --quiet "^#\!" ; then \
	    chmod +x $$library; \
	  fi; \
	done

	dh_python2
	rm debian/jython.postinst.debhelper
	rm debian/jython.prerm.debhelper

override_dh_installchangelogs:
	dh_installchangelogs -- NEWS

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//" \
	https://github.com/jythontools/jython/tags \
	.*/v([\d\.]+).tar.gz \
	debian \
	debian/orig-tar.sh

## jython 2.7.1+repack1

=== debian/changelog ===
jython (2.7.1+repack1-4~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Aug 2019 23:07:53 +0200

jython (2.7.1+repack1-4) unstable; urgency=medium

  * Team upload.
  * Preserve the backward compatibility with Java 7 (Closes: #934111)
  * Adjusted the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Aug 2019 10:11:23 +0200

jython (2.7.1+repack1-3) unstable; urgency=medium

  * Improve previous fix with default-jre-headless (>= 2:1.9), thanks to
    Andreas Beckmann <anbe@debian.org> (closes: #924283)

 -- Gilles Filippini <pini@debian.org>  Sat, 04 May 2019 18:16:46 +0200

jython (2.7.1+repack1-2) unstable; urgency=medium

  * d/control: fix Vcs-Git field
  * jython: increase minimal JRE version to Java9 (closes: #924283;
    thanks to Ole Streicher)

 -- Gilles Filippini <pini@debian.org>  Tue, 12 Mar 2019 19:02:20 +0100

jython (2.7.1+repack1-1) unstable; urgency=medium

  * Repack again upstream tarball to remove precompiled Windows binaries
  * Point Vcs-* fields to salsa.debian.org
  * Drop unused quilt patches
  * d/rules: ant: do not enforce build.date and build.time: ant should use
    $SOURCE_DATE_EPOCH when defined

 -- Gilles Filippini <pini@debian.org>  Sun, 13 Jan 2019 14:28:39 +0100

jython (2.7.1+repack-7) unstable; urgency=medium

  * New patch reproducible-builds.patch
  * Replace timestamps with $SOURCE_DATE_EPOCH wherever possible

 -- Gilles Filippini <pini@debian.org>  Sat, 12 Jan 2019 23:27:44 +0100

jython (2.7.1+repack-6) unstable; urgency=medium

  * Team upload.
  * Switch from libmysql-java to libmariadb-java.
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Nov 2018 17:01:37 +0100

jython (2.7.1+repack-5) unstable; urgency=medium

  * Workaround JAXB removal from Java 11 (closes: #912473):
    - Build-Depends: libjaxb-api-java
    - Update patch 00-missing-dep.patch to add jaxb-api.jar to the classpath

 -- Gilles Filippini <pini@debian.org>  Tue, 06 Nov 2018 23:02:01 +0100

jython (2.7.1+repack-4) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Removed the unused build dependency on liblivetribe-jsr223-java

  [ Gilles Filippini ]
  * Fix jh_installlibs regex (closes: #909910)
  * Add myself to Uploaders
  * New patch javadoc-classpath.patch: add missing junit4.jar to the javadoc
    classpath

 -- Gilles Filippini <pini@debian.org>  Tue, 02 Oct 2018 23:00:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python
+Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Gilles Filippini <pini@debian.org>
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python, libjaxb-api-java, dh-strip-nondeterminism
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
@@ -18,24 +18,23 @@
  libjnr-netdb-java,
  libjnr-posix-java (>= 3.0.10~),
  libjnr-x86asm-java,
- liblivetribe-jsr223-java,
- libmysql-java,
+ libmariadb-java,
  libpostgresql-jdbc-java,
  libservlet3.1-java,
  libcommons-compress-java,
  libicu4j-java,
  libnetty-java
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jython.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jython.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/jython.git
+Vcs-Browser: https://salsa.debian.org/java-team/jython
 Homepage: http://www.jython.org
 
 Package: jython
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${java:Depends},
- default-jre-headless | java5-runtime-headless,
+ default-jre-headless (>= 2:1.7) | java7-runtime-headless,
 Recommends: default-jdk | java-compiler
-Suggests: jython-doc, libmysql-java, libpostgresql-jdbc-java
+Suggests: jython-doc, libmariadb-java, libpostgresql-jdbc-java
 Description: Python seamlessly integrated with Java
  Jython is an implementation of the high-level, dynamic, object-oriented
  language Python seamlessly integrated with the Java platform.  The

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
   sed -r 's/junit-.*\.jar/junit4.jar/' | \
   sed -r 's/(netty-.*)-.*\.jar/\1.jar/' | \
   sed -r 's/(servlet-api)-.*\.jar/\1-3.1.jar/' | \
-  sed -r 's/(mysql-connector-java)-.*\.jar/\1.jar/' | \
+  sed -r 's/(mysql-connector-java)-.*\.jar/mariadb-java-client.jar/' | \
   sed -r 's/(postgresql)-.*\.jar/\1.jar/' | \
   sed -r 's/(guava)-.*.jar/\1.jar/' | \
   sed -r '/netty|servlet-api/!s/(java\/.*)-[0-9\._]*\.jar/\1.jar/' | \
@@ -68,9 +68,13 @@
 	dh_auto_configure
 
 override_dh_auto_build:
+	# Reproducible builds - These files' mtime are stored into the
+	# generated $py.class files
+	touch -d @$(SOURCE_DATE_EPOCH) Lib/*.py lib-python/*/*.py
 	# Build the class files.
 	# -nouserlib is required to prevent conflicts with the ant jython plugin
 	ant -nouserlib developer-build jar javadoc \
+	  -Djython.java.version=7 \
 	  -Dmain.classpath=$(OUR_MAIN_CLASSPATH) \
 	  -Dtest.classpath=$(OUR_TEST_CLASSPATH) \
 	  -Druntime.classpath="$(OUR_RUNTIME_CLASSPATH)"
@@ -86,11 +90,11 @@
 	rm -rf extlibs
 
 override_jh_installlibs:
-	jh_installlibs --version-strip="+.*"
+	jh_installlibs --version-strip="[+].*"
 
-# libmysql-java and libpostgresql-jdbc-java are part of Suggests
+# libmariadb-java and libpostgresql-jdbc-java are part of Suggests
 override_jh_depends:
-	jh_depends -Xlibmysql-java -Xlibpostgresql-jdbc-java
+	jh_depends -Xlibmariadb-java -Xlibpostgresql-jdbc-java
 
 override_dh_python2:
 	# Make all modules with a shebang line executable

## jython 2.7.2~b2+repack1

=== debian/changelog ===
jython (2.7.2~b2+repack1-1ubuntu1) focal; urgency=medium

  * Build-depend on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:32:17 +0100

jython (2.7.2~b2+repack1-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Sat, 11 Jan 2020 14:20:11 +0100

jython (2.7.2~b2+repack1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update patches
  * New patch antlr-getEOFToken.patch: workaround new API from antlr 3.5

 -- Gilles Filippini <pini@debian.org>  Sat, 23 Nov 2019 17:08:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python, libjaxb-api-java, dh-strip-nondeterminism
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python2, libjaxb-api-java, dh-strip-nondeterminism
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
   sed -r '/netty|servlet-api/!s/(java\/.*)-[0-9\._]*\.jar/\1.jar/' | \
   sed -r 's/antlr(-.*)?\.jar/antlr3\1-3.2.jar/' | \
   sed -r '/java-sizeof/d' | \
+  sed -r '/failureaccess/d' | \
   xargs echo | \
   sed 's/ /:/g' \
 )

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//, \
	uversionmangle=s/([ab]\d+)/~$1/" \
	https://github.com/jythontools/jython/tags \
	.*/v([\d\.]+[a-z0-9]*).tar.gz \
	debian \
	debian/orig-tar.sh

## jython 2.7.2+repack1

=== debian/changelog ===
jython (2.7.2+repack1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 20 Aug 2020 21:03:20 -0700

jython (2.7.2+repack1-2) experimental; urgency=medium

  * Team upload
  * Update build dependencies for python 3 (Closes: #936776, #967150)
  * Upload to experimental to give users a chance to test.

 -- tony mancill <tmancill@debian.org>  Wed, 05 Aug 2020 16:01:50 -0700

jython (2.7.2+repack1-1) unstable; urgency=medium

  * New upstream release
  * Auto-sync upstream version into pom.xml
  * Improve build time classpath checks output

 -- Gilles Filippini <pini@debian.org>  Sat, 25 Apr 2020 10:31:22 +0200

jython (2.7.2~rc1+repack1-2) unstable; urgency=medium

  * Embed the modules into the jar

 -- Gilles Filippini <pini@debian.org>  Thu, 19 Mar 2020 20:53:33 +0100

jython (2.7.2~rc1+repack1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch 03-default-cachedir.patch (fixed upstream):
    The default location of the Jython package cache has moved from the
    installation directory to the current working directory and is called
    ".jython_cache"
  * Refresh other patches


 -- Gilles Filippini <pini@debian.org>  Sun, 08 Mar 2020 10:35:11 +0100

jython (2.7.2~b3+repack1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump Java compatibility version to 8 because some test cases now use
    String.join

 -- Gilles Filippini <pini@debian.org>  Thu, 20 Feb 2020 22:48:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python2, libjaxb-api-java, dh-strip-nondeterminism
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python3, libjaxb-api-java, dh-strip-nondeterminism
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
  antlr3.2,
  bnd (>= 2.1.0),
+ zip,
  libasm-java,
  libguava-java,
  libjffi-java (>= 1.2.7~),
@@ -31,8 +32,8 @@
 
 Package: jython
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${java:Depends},
- default-jre-headless (>= 2:1.7) | java7-runtime-headless,
+Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}, ${java:Depends},
+ default-jre-headless (>= 2:1.8) | java8-runtime-headless,
 Recommends: default-jdk | java-compiler
 Suggests: jython-doc, libmariadb-java, libpostgresql-jdbc-java
 Description: Python seamlessly integrated with Java

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,17 @@
 # could work effectively and it doesn't need to be hardcoded into the launcher
 # script.
 
+VERSION_UPSTREAM = $(shell dpkg-parsechangelog -S Version | sed -E 's/\+repack.*$$//')
+
 # Extract upstream main.classpath
-THEIR_MAIN_CLASSPATH := $(shell \
+THEIR_MAIN_CLASSPATH = $(shell \
   ant -nouserlib -quiet get-their-main-classpath | \
   head -1 | \
   sed 's/^ *\[echo\] *//' \
 )
 
 # Extract upstream test.classpath
-THEIR_TEST_CLASSPATH := $(shell \
+THEIR_TEST_CLASSPATH = $(shell \
   ant -nouserlib -quiet get-their-test-classpath | \
   head -1 | \
   sed 's/^ *\[echo\] *//' \
@@ -43,29 +45,42 @@
 )
  
 # Fix main.classpath and test.classpath
-OUR_MAIN_CLASSPATH := $(call their_to_our,$(THEIR_MAIN_CLASSPATH))
-OUR_TEST_CLASSPATH := $(call their_to_our,$(THEIR_TEST_CLASSPATH))
+OUR_MAIN_CLASSPATH = $(call their_to_our,$(THEIR_MAIN_CLASSPATH))
+OUR_TEST_CLASSPATH = $(call their_to_our,$(THEIR_TEST_CLASSPATH))
 
 # Runtime classpath uses space as separator instead of ':'
-OUR_RUNTIME_CLASSPATH := $(shell echo '$(OUR_MAIN_CLASSPATH)' | sed 's/:/ /g')
+OUR_RUNTIME_CLASSPATH = $(shell echo '$(OUR_MAIN_CLASSPATH)' | sed 's/:/ /g')
 
 # Print and check classpaths to help finding missing dependencies
-print_classpath = ls -1 $(foreach path,$(shell echo '$(1)' | sed 's/:/\n/g' | grep -v '$(CURDIR)/build/'),'$(path)')
+print_classpath = echo '$(1)' | sed 's/:/\n/g' | sort | grep -v '$(CURDIR)/build/'
+ls_classpath = ls -1 $(foreach path,$(shell echo '$(1)' | sed 's/:/\n/g' | grep -v '$(CURDIR)/build/'),'$(path)')
 check_classpath:
 	@echo THEIR_MAIN
 	@$(call print_classpath,$(THEIR_MAIN_CLASSPATH)) || true
 	@echo OUR_MAIN
-	@$(call print_classpath,$(OUR_MAIN_CLASSPATH))
+	@$(call ls_classpath,$(OUR_MAIN_CLASSPATH))
 	@echo THEIR_TEST
 	@$(call print_classpath,$(THEIR_TEST_CLASSPATH)) || true
 	@echo OUR_TEST
-	@$(call print_classpath,$(OUR_TEST_CLASSPATH))
+	@$(call ls_classpath,$(OUR_TEST_CLASSPATH))
 
+DEBIAN_IN = $(wildcard debian/*.in)
+DEBIAN_OUT = $(patsubst %.in,%,$(DEBIAN_IN))
+
+# Requested to prevent deletion of $(DEBIAN_OUT) files as intermediate files
+.SECONDARY: $(DEBIAN_OUT)
+
+info:
+	@echo $(DEBIAN_OUT)
+
+debian/%: debian/%.in
+	sed -e 's/@VERSION@/$(VERSION_UPSTREAM)/g' \
+	  $< >$@
 
 %:
-	dh $@ --with python2 --with javahelper --with jh-maven-repo-helper
+	dh $@ --with python3 --with javahelper --with jh-maven-repo-helper
 
-override_dh_auto_configure: check_classpath
+override_dh_auto_configure: check_classpath $(DEBIAN_OUT)
 	dh_auto_configure
 
 override_dh_auto_build:
@@ -75,7 +90,7 @@
 	# Build the class files.
 	# -nouserlib is required to prevent conflicts with the ant jython plugin
 	ant -nouserlib developer-build jar javadoc \
-	  -Djython.java.version=7 \
+	  -Djython.java.version=8 \
 	  -Dmain.classpath=$(OUR_MAIN_CLASSPATH) \
 	  -Dtest.classpath=$(OUR_TEST_CLASSPATH) \
 	  -Druntime.classpath="$(OUR_RUNTIME_CLASSPATH)"
@@ -86,9 +101,13 @@
 	# Do not install the tests
 	rm -rf dist/Lib/test
 
+	# Embed the modules into the jar
+	cd dist && zip -r jython.jar Lib/
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf extlibs
+	rm -f $(DEBIAN_OUT)
 
 override_jh_installlibs:
 	jh_installlibs --version-strip="[+].*"
@@ -97,17 +116,5 @@
 override_jh_depends:
 	jh_depends -Xlibmariadb-java -Xlibpostgresql-jdbc-java
 
-override_dh_python2:
-	# Make all modules with a shebang line executable
-	for library in `find debian/jython/usr/share/jython/Lib -name "*.py"` ; do \
-	  if head -1 $$library | grep --quiet "^#\!" ; then \
-	    chmod +x $$library; \
-	  fi; \
-	done
-
-	dh_python2
-	rm debian/jython.postinst.debhelper
-	rm debian/jython.prerm.debhelper
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- NEWS

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//, \
	uversionmangle=s/(([ab]|rc)\d+)/~$1/" \
	https://github.com/jythontools/jython/tags \
	.*/v([\d\.]+[a-z0-9]*).tar.gz \
	debian \
	debian/orig-tar.sh

## jython 2.7.3%2Brepack1

=== debian/changelog ===
jython (2.7.3+repack1-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 21:19:51 +0000

jython (2.7.3+repack1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

  * Bump Standards-Version to 4.6.2 (no changes)

 -- Gilles Filippini <pini@debian.org>  Sat, 07 Jan 2023 17:12:55 +0100

jython (2.7.2+repack1-5) unstable; urgency=medium

  * CVE-2019-16935 (closes: #1027149)

 -- Gilles Filippini <pini@debian.org>  Thu, 29 Dec 2022 12:00:40 +0100

jython (2.7.2+repack1-4) unstable; urgency=medium

  * Build-Depends: antlr3 (instead of antlr3.2; Closes: #995188)
  * Build-Depends: libservlet-api-java (instead of deprecated
    libservlet3.1-java)
  * Remove deprecated lintien overrides

 -- Gilles Filippini <pini@debian.org>  Tue, 28 Sep 2021 23:55:02 +0200

## jython 2.7.3+repack1

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
- antlr3.2,
+ antlr3,
  bnd (>= 2.1.0),
  zip,
  libasm-java,
@@ -21,11 +21,11 @@
  libjnr-x86asm-java,
  libmariadb-java,
  libpostgresql-jdbc-java,
- libservlet3.1-java,
+ libservlet-api-java,
  libcommons-compress-java,
  libicu4j-java,
  libnetty-java
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jython.git
 Vcs-Browser: https://salsa.debian.org/java-team/jython
 Homepage: http://www.jython.org

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//, \
	uversionmangle=s/(([ab]|rc)\d+)/~$1/" \
	https://github.com/jython/jython/tags \
	.*/v([\d\.]+[a-z0-9]*).tar.gz \
	debian \
	debian/orig-tar.sh
